submissions_metadata_objects_metadata_list
const url = 'https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List the information related to all the submission metadata items.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Submission metadata object ID
Submission ID
Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Responses
Section titled “Responses”object
Serializer for the submission metadata.
object
Get the field information for the submission metadata.
Parameters
obj : SubmissionMetadata The submission metadata object.
Returns
dict The field information.
object
object
Get source information from the source_metadata if it exists.
Parameters
obj : SubmissionMetadataValue SubmissionMetadataValue instance
Returns
dict or None Source information including object type, id, and name if available None if no source_metadata exists
object
Serializer for the SubmissionMetadataValue model.
object
Get source information from the source_metadata if it exists.
Parameters
obj : SubmissionMetadataValue SubmissionMetadataValue instance
Returns
dict or None Source information including object type, id, and name if available None if no source_metadata exists
object
Return the interactor information of the object’s creator.
Parameters
obj : SubmissionMetadata The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : SubmissionMetadata The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}
